%define upstream_name    Business-ISBN
%define upstream_version 3.012

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Work with International Standard Book Numbers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Business/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Business::ISBN::Data) >= 20230322.1.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Test::More) >= 1.0.0
BuildRequires: perl(version) >= 0.860.0
BuildArch:  noarch

%description
This modules handles International Standard Book Numbers, including
ISBN-10 and ISBN-13.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Jul 08 2025 umeabot <umeabot> 3.12.0-2.mga10
+ Revision: 2251518
- Mageia 10 Mass Rebuild

* Wed Apr 16 2025 tv <tv> 3.12.0-1.mga10
+ Revision: 2175800
- update to 3.012

* Fri Jan 24 2025 tv <tv> 3.11.0-1.mga10
+ Revision: 2141348
- update to 3.011

* Sun Feb 11 2024 tv <tv> 3.9.0-1.mga10
+ Revision: 2040403
- update to 3.009

* Wed Aug 30 2023 tv <tv> 3.8.0-1.mga10
+ Revision: 1981914
- update to 3.008

* Mon Mar 21 2022 umeabot <umeabot> 3.7.0-2.mga9
+ Revision: 1815936
- Mageia 9 Mass Rebuild

* Mon Jan 10 2022 tv <tv> 3.7.0-1.mga9
+ Revision: 1767723
- update to 3.007

* Thu Feb 25 2021 tv <tv> 3.6.0-1.mga9
+ Revision: 1691053
- update to 3.006

* Tue Feb 18 2020 umeabot <umeabot> 3.5.0-2.mga8
+ Revision: 1539707
- Mageia 8 Mass Rebuild

* Thu Dec 12 2019 tv <tv> 3.5.0-1.mga8
+ Revision: 1466021
- update to 3.005

* Thu Sep 20 2018 umeabot <umeabot> 3.4.0-2.mga7
+ Revision: 1281848
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 3.4.0-1.mga7
+ Revision: 1126258
- update to 3.004

* Sat Jun 18 2016 pterjan <pterjan> 2.10.0-2.mga6
+ Revision: 1022812
- Rebuild for perl 5.22.2

* Mon May 02 2016 jquelin <jquelin> 2.10.0-1.mga6
+ Revision: 1008778
- tightening spec file (magpie fix ftw)
- imported package perl-Business-ISBN


* Wed Oct 10 2012 cpan2dist 2.010-1mga
- initial mageia release, generated by hand
